﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication3
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainWindow_Loaded);
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            this.Loaded -= new RoutedEventHandler(MainWindow_Loaded);
            var data = new List<NavigationTree>();
            var element1 = new NavigationTree("Root1");
            element1.Children = new List<NavigationTree>();

            element1.Children.Add(new NavigationTree("item 1 - level 2"));
            element1.Children.Add(new NavigationTree("item 2 - level 2"));
            element1.Children.Add(new NavigationTree("item 3 - level 2"));
            data.Add(element1);

            var element2 = new NavigationTree("Root2");
            element2.Children = new List<NavigationTree>();

            element2.Children.Add(new NavigationTree("item 1 - level 2"));
            element2.Children.Add(new NavigationTree("item 2 - level 2"));
            element2.Children.Add(new NavigationTree("item 3 - level 2"));
            data.Add(element2);
            Resources.Add("navigatorTree", data);
        }
    }

    public class NavigationTree
    {
        public NavigationTree(string name)
        {
            Name = new NavName() { RealName = name };
            Children = null;
        }
        public NavName Name { get; set; }
        public List<NavigationTree> Children { get; set; }
    }

    public class NavName
    {
        public string RealName { get; set; }
    }
}
